<template>
  <div class="experts">
    <header-nav  :id="id"/>

    <div class="w sharonPic">
      <img src="../assets/image/shalong.jpg">
    </div>
    <!-- 沙龙内容部分 -->
    <div class="w sharoncont">

      <div class="wthree shaIcon">
        专家风采
      </div>
      <img src="../assets/image/sl.png" class="icon">

      <div class="wseven shamatter">
        <div class="shuIcon"></div>
        <span class="biaoti">专家风采</span>
        <div class="hengIcon"></div>
        <ul >
          <li v-for="(item, index) in expertsContent" :key="id" @click="Jump(item.id)">
            <div class="newcont">
              <div style="overflow: hidden;">
                <span class="round left"></span>
                <h5 class="left" style="margin-left: 15px;">{{item.title}}</h5>
                <span class="onlyTime">{{item.publishTime}}</span>
              </div>

              <div class="onlyHeight">
                <p>{{item.newsAbstract}}</p>
              </div>
            </div>
          </li>
        </ul>
        <!-- 分页 -->
        <div class="block">
          <el-pagination
            @size-change="handleSizeChange"
            @current-change="handleCurrentChange"
            :current-page="current"
            :page-size="pagesize"
            background
            layout="prev, pager, next"
            :total="total">
          </el-pagination>
        </div>
      </div>
    </div>

    <footer-nav/>
  </div>
</template>

<script type="text/javascript">
import headerNav from '@/components/header';
import footerNav from '@/components/footer';
export default {
  data() {
    return {
      id: 6,
      current: 1,
      pagesize: 10,
      routingName: '',
      // 总共有多少条数据
      total: 0,
      expertsContent: []
    };
  },
  components: {
    headerNav,
    footerNav
  },
  created() {
    this.loadData();
    this.getUrlsub();
  },
  methods: {
    async loadData() {
      const response = await this.$http.get(`biz/newsArticles/${6}?&current=${this.current}&size=${this.pagesize}`);
      if (response.data.code === 1) {
        this.expertsContent = response.data.responseData.records;
        this.total = response.data.responseData.total;
      }
    },
    //跳转
    Jump(id){
      window.open('/newsDetails/'+ id);
    },
    // 分页方法
    handleSizeChange(val) {
      this.pagesize = val;
      this.loadData();
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      this.current = val;
      this.loadData();
      console.log(`当前页: ${val}`);
    },
    getUrlsub() {
      var urlStr = location.pathname;
      var index = urlStr.lastIndexOf('\/');
      this.routingName = urlStr.substring(index + 1, urlStr.length);
      if(this.routingName == 'experts') {
         sessionStorage.setItem('breadName', '专家风采');
         sessionStorage.setItem('breadRouting', 'experts');
      }
    }
  }
};
</script>

<style type="text/css">
.experts {

}
.experts .sharonPic {
  overflow: hidden;
  margin-top: 20px;
  height: 300px;
}
.experts .sharonPic img {
  height: 100%;
  width: 100%;
}
.experts .sharoncont {

  position: relative;
}
.experts .sharoncont .icon {
  position: absolute;
  left: -11px;
  top: 13px;

}
.experts .shaIcon {
  position: relative;
  border: 1px solid #cccccc;
  height: 120px;
  line-height: 120px;
  margin-top: 20px;
  text-align: center;

}
.experts .shamatter {
  position: relative;
  border: 1px solid #cccccc;
  margin-top: 20px;
}
.experts .shamatter .shuIcon {
  width: 4px;
  background-color: #79c71e;
  height: 15px;
  margin-top: 10px;
  margin-left: 8px;
}
.experts .shamatter .hengIcon {
  width: 100%;
  background-color: #79c71e;
  height: 4px;
  margin-top: 10px;
}
.experts .shamatter li {
  overflow: hidden;
  margin-top: 15px;
  cursor:pointer;
}
.experts .shamatter li .pic {
  overflow: hidden;
  width: 100px;
  height: 80px;
  margin-left: 10px;
}
.experts .shamatter li .pic img{
  width: 100%;
  height: 100%;
}
.experts .shamatter li .newcont {
  overflow: hidden;
  padding-left: 10px;
}
.experts .shamatter li .newcont h5{
  font-size: 14px;
  padding-top: 5px;
}
.experts .shamatter .block {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}
</style>
